Beyond a `requirements.txt`, this folder contains the following files:

Data files:
- char_curves.xyz: an ase-type xyz file containing 25000 configurations of ellipsoids dimers. Each dimer is defined by their mutual rotation angles `phi_x`, `phi_y` and `phi_z`. The second ellipsoid in each dimer has its position defined in polar coordinates using angle `theta` and distance `d`. The energy, in LJ units, is computed using the Everaers and Ejtehadi formalism of the Gay-Berne potential using semiaxes a, b, c = 1., 1.5, 2., well-depth of 1, nu=1.0, mu=2.0, and gamma=1.0. The info also contains the so-called ``distance of closest approach``, commonly called the h12 distance.

Scripts:
- anisoap-analysis-gb.py: This file reads in `char_curves.xyz` and conducts the following analyses: 1) Plots the characteristic Gay-Berne curves and outputs these, along with a histogram. 2) Computes the AniSOAP representation for all configurations. This can be accelerated via caching. 3) Using regularized linear regression, predicts the GB energetics and h12 distances, and constructs figures summarizing this information. 4) Outputs a chemiscope-style file of the PCA of the AniSOAP vectors and model performance.